Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Server Web Services Java API Reference 10g Release 3 (10.1.3) B25988-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.webservices.provider
Interface ProviderConfig

public interface ProviderConfig

Configuration related information for the Provider. This information provides access to Provider instance details. This may include access to information from deployment descriptors, and may entail communication with the container.

Field Summary
`static String` | `VALIDATE_SOAP_SCHEMA` The property key for requesting validation of the incoming soap request.

Method Summary
`void` | `addService(String pathInfo, URL wsdlURL, QName wsdlPort, QName serviceName, Object policy)` Add a service from inside the provider implementation.
`boolean` | `containsProperty(String name)` Check whether a particular property was provided.
`Object` | `getContainerContext()` Return the Context of the provider container
`String` | `getProperty(String name)` Get the property value corresponding to the property name.
`Iterator` | `getPropertyNames()` Return the list of property names.
`String` | `getProviderName()` Return the provider name.
`String` | `getWSDLLocation()` Return the WSDL location.
`QName` | `getWSDLPort()` Return the WSDL Port QName.
`QName` | `getWSDLService()` Return the WSDL Service QName.
`URL` | `getWSDLURL(String pathInfo)` Return the URL for the WSDL associated with a provider endpoint.
`void` | `removeProperty(String name)` Remove the specified property.
`void` | `removeService(String pathInfo)` Remove a service associated with a given pathInfo.
`void` | `setProperty(String name, String value)` Set a property.

Field Detail

### VALIDATE_SOAP_SCHEMA

    public static final String VALIDATE_SOAP_SCHEMA

  The property key for requesting validation of the incoming soap request. If this property value is set to "true", then the container will validate the incoming SOAP requests with the wsdl type schema.
  See Also:
    Constant Field Values

Method Detail

### addService

    public void addService(String pathInfo,
                           URL wsdlURL,
                           QName wsdlPort,
                           QName serviceName,
                           Object policy)
                    throws ProviderException

  Add a service from inside the provider implementation.
  Parameters:
    `pathInfo` - extra path information associated with the URL the client sent when it made this request. The extra path information follows the servlet path but precedes the query string and will start with a "/" character. should not be null .
    `wsdlURL` - the URL of wsdls .Nan be 'file://' or 'http://' , should not be null
    `wsdlPort` - QName of the wsdl port.Can be 'null'
    `serviceName` - QName of the wsdl service.Can be 'null'
    `policy` - policy file.Can be 'null'
  Throws:
    `ProviderException`

### removeService

    public void removeService(String pathInfo)

  Remove a service associated with a given pathInfo.
  Parameters:
    `pathInfo` -

### getContainerContext

    public Object getContainerContext()

  Return the Context of the provider container
  Returns:
    Object. Returns the ServletContext if the provider is hosted from a servlet container

### getProviderName

    public String getProviderName()

  Return the provider name.
  Returns:
    String. Returns the provider name.

### getWSDLLocation

    public String getWSDLLocation()

  Return the WSDL location.
  Returns:
    String. Returns the location of WSDL file if provided in the deployment configuration file. If not, null is returned.

### getWSDLPort

    public QName getWSDLPort()

  Return the WSDL Port QName.
  Returns:
    QName. Returns the Port QName of WSDL file if provided in the deployment configuration file. If not, null is returned.

### getWSDLService

    public QName getWSDLService()

  Return the WSDL Service QName.
  Returns:
    QName. Returns the Service QName of WSDL file if provided in the deployment configuration file. If not, null is returned.

### containsProperty

    public boolean containsProperty(String name)

  Check whether a particular property was provided. Properties can be supplied through a configuration file (oracle-webservices.xml) or dynamically set from the provider (e.g. in the provider init() method).
  Parameters:
    `name` - String. Propert name thats being queried.
  Returns:
    true if that property name exists.

### getProperty

    public String getProperty(String name)

  Get the property value corresponding to the property name.
  Parameters:
    `name` - String. Propert name thats being queried.
  Returns:
    the value of the property if it exists. Returns null if it does not exist.

### getPropertyNames

    public Iterator getPropertyNames()

  Return the list of property names.
  Returns:
    a list of property names as an enumeration.

### removeProperty

    public void removeProperty(String name)

  Remove the specified property.
  Parameters:
    `name` - name of property to be removed

### setProperty

    public void setProperty(String name,
                            String value)

  Set a property. Used to communicate with the container.
  Parameters:
    `name` - name of property
    `value` - value of property

### getWSDLURL

    public URL getWSDLURL(String pathInfo)

  Return the URL for the WSDL associated with a provider endpoint.
  Parameters:
    `pathInfo` - If null, return the URL to the WSDL file associated with the provider deployment as specified in the `oracle-webservices.xml` entry for the provider. If not null, the WSDL URL returned is associated with a dynamically added provider endpoint (see `Provider.addService`).
  Returns:
    the WSDL URL for the provider associated endpoint or null if no WSDL is associated with the specified `pathInfo<code/>.`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright © 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD